apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-dns-metrics
  namespace: prometheus
spec:
  description: Allow DNS metrics
  egress:
    - toPorts:
        - ports:
            - port: "9153"
              protocol: TCP
  endpointSelector:
    matchLabels:
      app.kubernetes.io/name: prometheus
